import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AgentHomePageComponent } from './pages/home-page/home-page.component';
import { PassengersComponent } from './pages/passengers/passengers.component';
import { ReservationsComponent } from './pages/reservations/reservations.component';
import { PassengerAddComponent } from './pages/passenger-add/passenger-add.component';

const routes: Routes = [
    {
        path: '',
        title: 'Home',
        component: AgentHomePageComponent,
        children: [
            {
                path: 'passengers',
                title: 'Pasajeros',
                component: PassengersComponent
            },
            {
              path: 'passengers/new',
              title: 'Pasajeros',
              component: PassengerAddComponent
            },
            {
              path: 'passengers/edit/:id',
              title: 'Pasajeros',
              component: PassengerAddComponent
            },
            {
                path: 'reservations',
                title: 'Reservas',
                component: ReservationsComponent
            }
        ]
    },
];

@NgModule({
    imports: [RouterModule.forChild(routes)],
    exports: [RouterModule],
})
export class AgentRoutingModule  { }
