import { Component, OnInit } from '@angular/core';
import { Passenger } from '../../interfaces/passenger.interface';
import { TableModel } from 'src/app/shared/interfaces/table-model.interface';
import { PassengerTable } from '../../interfaces/passenger-table.interface';
import { PassengerService } from '../../services/passenger-service.service';

@Component({
  selector: 'app-passengers',
  templateUrl: './passengers.component.html',
  styleUrls: ['./passengers.component.css']
})
export class PassengersComponent implements OnInit {

  public passengerData: Passenger[] = [];

  constructor(private passengerService: PassengerService) {}

  ngOnInit(): void {
    this.passengerService.getAll()
      .subscribe(passengers => this.passengerData = passengers);
  }

  public passengerModel: TableModel[] = [
    {
      name: 'id',
      title: '#'
    },
    {
      name: 'name',
      title: 'Nombres'
    },
    {
      name: 'lastname',
      title: 'Apellidos'
    },
    {
      name: 'country',
      title: 'Pais'
    },
    {
      name: 'city',
      title: 'Ciudad'
    }
  ];
}
