import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: 'passengers',
    loadChildren: () => import('./passenger/passenger.module').then(m => m.PassengerModule)
  },
  {
    path: 'agents',
    loadChildren: () => import('./agent/agent.module').then(m => m.AgentModule)
  },
  {
    path: 'supervisors',
    loadChildren: () => import('./supervisor/supervisor.module').then(m => m.SupervisorModule)
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
