import { Component, OnInit } from '@angular/core';
import { MenuItem } from './shared/interfaces/menu-item.interface';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit{
  
  public toggleSidebar: boolean = false;

  public passengerMenuItems: MenuItem[] = [
    {
      label: 'Mis reservas',
      icon: 'bi-bookmarks',
      link: '/passengers/reservations'
    },
  ];

  public supervisorMenuItems: MenuItem[] = [
    {
      label: 'Agentes',
      icon: 'bi-people',
      link: '/supervisors/agents'
    },
    {
      label: 'Vuelos',
      icon: 'bi-airplane',
      link: '/supervisors/flight-config'
    },
  ];

  public agentMenuItems: MenuItem[] = [
    {
      label: 'Pasajeros',
      icon: 'bi-heart',
      link: '/agents/passengers'
    },
    {
      label: 'Reservas',
      icon: 'bi-bookmarks',
      link: '/agents/reservations'
    },
  ];

  public menuItems: MenuItem[] = [];

  ngOnInit(): void {
    this.menuItems = this.agentMenuItems;
  }

  toggleSidebarEvent(): void {
    this.toggleSidebar = !this.toggleSidebar;
  }
}
