import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from '../shared/shared.module';
import { SupervisorRoutingModule } from './supervisor-routing.module';
import { FlightConfigComponent } from './pages/flight-config/flight-config.component';
import { AgentsComponent } from './pages/agents/agents.component';
import { HomePageComponent } from './pages/home-page/home-page.component';
import { AgentAddComponent } from './pages/agent-add/agent-add.component';
import { HttpClientModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';



@NgModule({
  declarations: [
    FlightConfigComponent,
    AgentsComponent,
    HomePageComponent,
    AgentAddComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    SupervisorRoutingModule,
    HttpClientModule,
    ReactiveFormsModule,
    FormsModule
  ],
  exports:[
    SupervisorRoutingModule
  ]
})
export class SupervisorModule { }
